Payout details

GET
/payouts/{id}

Payouts are only available when using Volt Connect

This will return details of the selected payout, with approval update history.

Usage

Pass the id of the payout as part of the URL.

More information

Full details on payouts can be found in our comprehensive integration guides.

Path Parameters

id*string

ID of the payout

Response Body

OK - Details of the selected payout

application/json
  1. response

API payouts don't require approval

id?string
Formatuuid
status?"CREATED"
Value in"CREATED"
createdAt?string
Formatdate-time
amount?integer

The amount to be paid out, in 1/100 units (pence, cents etc).

currency?string

Currency in which the payment should be made, in ISO 4217 format (3 uppercase letters)

paymentTitle?string

Payment reference to be used for the payout. This will appear on the beneficiary's statement.

beneficiary?

Beneficiary bank account details

sender?

Your Connect account details

externalReference?string

Optional internal payout reference to be used for reconciliation and tracking within merchant systems. Not unique. Not shared with banks or payment networks.

createdBy?
approvals?array<>

Will contain an empty array

Example Request
curl -X GET 'https://connect-api-sandbox.volt.io/payouts/efffed42-40f7-4bd2-840d-908aae9a33ad'
Example Response
{  "createdBy": {    "name": "string"  },  "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",  "status": "CREATED",  "createdAt": "2019-08-24T14:15:22Z",  "amount": 0,  "currency": "string",  "paymentTitle": "string",  "beneficiary": {    "name": "string",    "accountNumber": "string",    "sortCode": "string",    "iban": "string",    "swiftBic": "string"  },  "sender": {    "sortCode": "string",    "accountNumber": "string",    "iban": "string",    "swiftBic": "string"  },  "externalReference": "string",  "approvals": [    {      "user": {        "name": "string"      },      "type": "APPROVAL",      "createdAt": "2019-08-24T14:15:22Z"    }  ]}